Loading...
Searching...
No Matches
LibThread::Trigger Class Referenceabstract

## Public Member Functions

virtual bool | accept (leftv arg)=0
virtual void | activate (leftv arg)=0
| Trigger ()
Public Member Functions inherited from LibThread::Job
| Job ()
| ~Job ()
void | addDep (Job *job)
void | addDep (vector< Job * > &jobs)
void | addDep (long ndeps, Job **jobs)
void | addNotify (vector< Job * > &jobs)
void | addNotify (Job *job)
virtual bool | ready ()
virtual void | execute ()=0
void | run ()
Public Member Functions inherited from LibThread::SharedObject
| SharedObject ()
virtual | ~SharedObject ()
void | set_type (int type_init)
int | get_type ()
void | set_name (std::string &name_init)
void | set_name (const char *s)
std::string & | get_name ()
void | incref (int by=1)
long | decref ()
long | getref ()
virtual BOOLEAN | op2 (int op, leftv res, leftv a1, leftv a2)
virtual BOOLEAN | op3 (int op, leftv res, leftv a1, leftv a2, leftv a3)

## Additional Inherited Members

Data Fields inherited from LibThread::Job
ThreadPool * | pool
long | prio
size_t | id
long | pending_index
vector< Job * > | deps
vector< Job * > | notify
vector< Trigger * > | triggers
vector< string > | args
string | result
void * | data
bool | fast
bool | done
bool | queued
bool | running
bool | cancelled

## Detailed Description

Definition at line 1593 of file shared.cc.

## Constructor & Destructor Documentation

## Trigger()

LibThread::Trigger::Trigger | ( |  | ) |

inline

Definition at line 1597 of file shared.cc.

: Job() { set_type(type_trigger); fast = true; }
LibThread::Job::fast
bool fast
Definition shared.cc:1556
LibThread::Job::Job
Job()
Definition shared.cc:1561
LibThread::SharedObject::set_type
void set_type(int type_init)
Definition shared.cc:158
LibThread::type_trigger
int type_trigger
Definition shared.cc:239

## Member Function Documentation

## accept()

virtual bool LibThread::Trigger::accept | ( | leftv | arg | ) |

pure virtual

Implemented in LibThread::AccTrigger, LibThread::CountTrigger, LibThread::ProcTrigger, and LibThread::SetTrigger.

## activate()

virtual void LibThread::Trigger::activate | ( | leftv | arg | ) |

pure virtual

Implemented in LibThread::AccTrigger, LibThread::CountTrigger, LibThread::ProcTrigger, and LibThread::SetTrigger.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/systhreads/shared.cc